### Method

# Gtk TreeStore set_column_types

#### Declaration [src]

    void
    gtk_tree_store_set_column_types (
      GtkTreeStore* tree_store,
      int n_columns,
      GType* types
    )

#### Description [src]

This function is meant primarily for `GObjects` that inherit from `GtkTreeStore`, and should only be used when constructing a new `GtkTreeStore`. It will not function after a row has been added, or a method on the `GtkTreeModel` interface is called.

#### Parameters

`n_columns` | `int`
| Number of columns for the tree store.
`types` | An array of `GType`
| An array of `GType` types, one for each column.
| The length of the array is specified in the `n_columns` argument.
| The data is owned by the caller of the function.